org.apache.mina.filter.reqres

## Class Response

- java.lang.Object
- - org.apache.mina.filter.reqres.Response

-     public class Response
      extends Object

  TODO Add documentation
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Response(Request request, Object message, ResponseType type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Object` | `getMessage()`
    `Request` | `getRequest()`
    `ResponseType` | `getType()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Response

          public Response(Request request,
                  Object message,
                  ResponseType type)

  - ### Method Detail

    - #### getRequest

          public Request getRequest()

    - #### getType

          public ResponseType getType()

    - #### getMessage

          public Object getMessage()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.